Get a message attachment
Returns a short-lived download URL for one of the message's attachments. Request: GET /v1/mailboxes/{id}/messages/{messageId}/attachments/{attachmentId}.
GET
Returns a short-lived download URL for one of the message's attachments.
apiKeyheader
x-api-key<token>id*stringMatch
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$messageId*stringMatch
^msg_[0-9a-hjkmnp-tv-z]{16,24}$attachmentId*stringMatch
^att_[0-9a-hjkmnp-tv-z]{16,24}$MailboxDownloadUrl
application/json- response
url*stringexpiresAt*stringimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.mailboxes.getMessageAttachment({
"id": "example",
"messageId": "example",
"attachmentId": "example"
});Example Response
{
"url": "string",
"expiresAt": "string"
}